require "import"
import "java.text.SimpleDateFormat"
import "java.util.Date"
import "android.content.Context"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.os.BatteryManager"

function getGreeting()
    local hour = tonumber(os.date("%H"))
    if hour < 12 then
require "import"
import "android.media.MediaPlayer"
local mediaPlayer = MediaPlayer()
mediaPlayer.reset()
mediaPlayer.setDataSource("/storage/emulated/0/解说/Plugins/Check date and time and battery information/Time sound audio/5556.mp3")
mediaPlayer.prepare()
mediaPlayer.start()
        return "Good morning"
    elseif hour < 18 then
require "import"
import "android.media.MediaPlayer"
local mediaPlayer = MediaPlayer()
mediaPlayer.reset()
mediaPlayer.setDataSource("/storage/emulated/0/解说/Plugins/Check date and time and battery information/Time sound audio/1112.m4a")
mediaPlayer.prepare()
mediaPlayer.start()
        return "Good afternoon"
    elseif hour < 20 then
require "import"
import "android.media.MediaPlayer"
local mediaPlayer = MediaPlayer()
mediaPlayer.reset()
mediaPlayer.setDataSource("/storage/emulated/0/解说/Plugins/Check date and time and battery information/Time sound audio/2223.mp3")
mediaPlayer.prepare()
mediaPlayer.start()
        return "Good evening"
   else
require "import"
import "android.media.MediaPlayer"
local mediaPlayer = MediaPlayer()
mediaPlayer.reset()
mediaPlayer.setDataSource("/storage/emulated/0/解说/Plugins/Check date and time and battery information/Time sound audio/3334.m4a")
mediaPlayer.prepare()
mediaPlayer.start()
return " good night"
   end
end

function speakDateTime(context)
    local currentDate = os.date("%A, %B %d, %Y")
    local currentTime = os.time()
    local formattedTime = SimpleDateFormat("hh:mm a").format(Date())

    local batteryIntent = context.registerReceiver(nil, IntentFilter(Intent.ACTION_BATTERY_CHANGED))
    local level = batteryIntent.getIntExtra(BatteryManager.EXTRA_LEVEL, -1)
    local scale = batteryIntent.getIntExtra(BatteryManager.EXTRA_SCALE, -1)
    local batteryPercent = math.floor((level / scale) * 100)

    -- Get greeting based on the time of day
    local greeting = getGreeting()

    -- Speak the message
    local message = greeting .. "! Today is " .. currentDate .. ". The time is " .. formattedTime .. ". The battery level is " .. batteryPercent .. " percent."
    context.speak(message)
end

speakDateTime(this)

return true